<div class="App">
      
     <div class="player-wrapper">

        <h1>Angular Video Player</h1>

        <!-- SEARCH BAR -->
        <searchBar></searchBar>

        <!-- Button trigger modal BOOKMARKS-->
        <button type="button" id="btttt" class="btn btn-success" data-toggle="modal" data-target="#exampleModalLong">
            List BookMarks <span class="badge badge-light">{{ getBookLength() }}</span>
        </button>

        <div class="container">
            <div class="row justify-content-md-center">
                <!-- HISTORY -->
                <div class="history-wrapper col">
                    <h3 style="text-align: center;">History of videos</h3>
                    <History></History> 
                </div>
                <!-- VideoView -->
                <div class="video-wrapper col ">
                    <videoView></videoView>
                </div>

            </div>
        </div>

     </div>
</div>
  
<!-- Modal BOOKMARKS -->
<div class="modal fade" id="exampleModalLong" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
<div class="modal-dialog" role="document">
    <div class="modal-content">
    <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLongTitle">BOOKMARKS</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
        </button>
    </div>
    <div class="modal-body">

        <!-- BOOKMARKS -->
        <div *ngFor="let book of videoBookService.getBookVideos()">
            <Bookmarks [book]="book"></Bookmarks>
        </div> 
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="closeModal()" data-dismiss="modal">Close</button>
     </div>
    </div>
</div>
</div>
